server {
    listen 80;

    server_name pmapi-dev.jdb-labs.com;

    return 301 https://pmapi-dev.jdb-labs.com$request_uri;
}

server {
    listen 443;

    server_name pmapi-dev.jdb-labs.com;

    ssl on;

    location / {
        if ($request_method = 'OPTIONS') {
            add_header 'Access-Control-Allow-Origin' 'https://pm-dev.jdb-labs.com';
            add_header 'Access-Control-Allow-Methods' 'GET, POST, OPTIONS';
            add_header 'Access-Control-Max-Age' 1728000;
            add_header 'Content-Type' 'text/plain; charset=utf-8';
            add_header 'Content-Length' 0;
            add_header 'Access-Control-Allow-Headers' 'DNT,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type,Range,Authorization';
            return 204;
        }

        proxy_pass http://localhost:8281;
        proxy_set_header Host               $http_host;
        proxy_set_header X-Real-IP          $remote_addr;
        proxy_set_header X-Forwarded-For    $proxy_add_x_forwarded_for;
    }
}

